/*
 Navicat Premium Data Transfer

 Source Server         : 自己的阿里云3年mysql
 Source Server Type    : MySQL
 Source Server Version : 50734
 Source Host           : 47.108.115.128:3306
 Source Schema         : sharding1

 Target Server Type    : MySQL
 Target Server Version : 50734
 File Encoding         : 65001

 Date: 18/02/2022 17:08:55
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_dict
-- ----------------------------
DROP TABLE IF EXISTS `t_dict`;
CREATE TABLE `t_dict`  (
  `id` bigint(18) NOT NULL COMMENT '主键',
  `t_name` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '名称',
  `t_key` varchar(18) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'key',
  `t_value` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'value',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_order_2022
-- ----------------------------
DROP TABLE IF EXISTS `t_order_2022`;
CREATE TABLE `t_order_2022`  (
  `id` bigint(18) NOT NULL COMMENT '主键',
  `user_id` bigint(18) NOT NULL COMMENT '用户id',
  `order_num` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单编号',
  `money` decimal(20, 0) NULL DEFAULT NULL COMMENT '订单金额',
  `dict_key` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据字典表',
  `year` int(10) NULL DEFAULT NULL COMMENT '新增年份',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for t_order_2023
-- ----------------------------
DROP TABLE IF EXISTS `t_order_2023`;
CREATE TABLE `t_order_2023`  (
  `id` bigint(18) NOT NULL COMMENT '主键',
  `user_id` bigint(18) NOT NULL COMMENT '用户id',
  `order_num` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '订单编号',
  `money` decimal(20, 0) NULL DEFAULT NULL COMMENT '订单金额',
  `dict_key` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '数据字典表',
  `year` int(10) NULL DEFAULT NULL COMMENT '新增年份',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '新增时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
